Package picard.vcf

## Class CollectVariantCallingMetrics.VariantCallingDetailMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.analysis.MergeableMetricBase
    - - picard.vcf.CollectVariantCallingMetrics.VariantCallingSummaryMetrics
      - - picard.vcf.CollectVariantCallingMetrics.VariantCallingDetailMetrics

- Enclosing class:
    CollectVariantCallingMetrics

      public static class CollectVariantCallingMetrics.VariantCallingDetailMetrics
      extends CollectVariantCallingMetrics.VariantCallingSummaryMetrics

  A collection of metrics relating to snps and indels within a variant-calling file (VCF) for a given sample.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class picard.analysis.MergeableMetricBase

      `MergeableMetricBase.MergeByAdding, MergeableMetricBase.MergeByAssertEquals, MergeableMetricBase.MergingIsManual, MergeableMetricBase.NoMergingIsDerived, MergeableMetricBase.NoMergingKeepsValue`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `HET_HOMVAR_RATIO` | (count of hets)/(count of homozygous non-ref) for this sample
    `double` | `PCT_GQ0_VARIANTS` | The percentage of variants in a particular sample that have a GQ score of 0.
    `String` | `SAMPLE_ALIAS` | The name of the sample being assayed
    `long` | `TOTAL_GQ0_VARIANTS` | The total number of variants in a particular sample that have a GQ score of 0.
    `long` | `TOTAL_HET_DEPTH` | total number of reads (from AD field) for passing bi-allelic SNP hets for this sample

    - ### Fields inherited from class picard.vcf.CollectVariantCallingMetrics.VariantCallingSummaryMetrics

      `DBSNP_INS_DEL_RATIO, DBSNP_TITV, FILTERED_INDELS, FILTERED_SNPS, NOVEL_INDELS, NOVEL_INS_DEL_RATIO, NOVEL_SNPS, NOVEL_TITV, NUM_IN_DB_SNP, NUM_IN_DB_SNP_COMPLEX_INDELS, NUM_IN_DB_SNP_INDELS, NUM_IN_DB_SNP_MULTIALLELIC, NUM_SINGLETONS, PCT_DBSNP, PCT_DBSNP_INDELS, SNP_REFERENCE_BIAS, TOTAL_COMPLEX_INDELS, TOTAL_INDELS, TOTAL_MULTIALLELIC_SNPS, TOTAL_SNPS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariantCallingDetailMetrics()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `calculateDerivedFields()` | Placeholder method that will calculate the derived fields from the other ones.
    `void` | `calculateFromDerivedFields()` |
    `static String` | `getFileExtension()` |

    - ### Methods inherited from class picard.vcf.CollectVariantCallingMetrics.VariantCallingSummaryMetrics

      `calculateFromDerivedFields, foldInto`

    - ### Methods inherited from class picard.analysis.MergeableMetricBase

      `canMerge, merge, merge, mergeIfCan`

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SAMPLE_ALIAS

          public String SAMPLE_ALIAS

      The name of the sample being assayed

    - #### HET_HOMVAR_RATIO

          public double HET_HOMVAR_RATIO

      (count of hets)/(count of homozygous non-ref) for this sample

    - #### PCT_GQ0_VARIANTS

          public double PCT_GQ0_VARIANTS

      The percentage of variants in a particular sample that have a GQ score of 0.

    - #### TOTAL_GQ0_VARIANTS

          public long TOTAL_GQ0_VARIANTS

      The total number of variants in a particular sample that have a GQ score of 0.

    - #### TOTAL_HET_DEPTH

          public long TOTAL_HET_DEPTH

      total number of reads (from AD field) for passing bi-allelic SNP hets for this sample

  - ### Constructor Detail

    - #### VariantCallingDetailMetrics

          public VariantCallingDetailMetrics()

  - ### Method Detail

    - #### getFileExtension

          public static String getFileExtension()

    - #### calculateDerivedFields

          public void calculateDerivedFields()

      Description copied from class: `MergeableMetricBase`
      Placeholder method that will calculate the derived fields from the other ones. Classes that are derived from non-trivial derived classes should consider calling super.calculateDerivedFields() as well. Fields whose value will change due to this method should be annotated with `NoMergingKeepsValue`.
      Overrides:
        `calculateDerivedFields` in class `CollectVariantCallingMetrics.VariantCallingSummaryMetrics`

    - #### calculateFromDerivedFields

          public void calculateFromDerivedFields()